org.eclipse.net4j.http.server

## Interface INet4jTransportServlet.RequestHandler

- Enclosing interface:
    INet4jTransportServlet

      public static interface INet4jTransportServlet.RequestHandler

  Call-back that handles the requests that arrive at a `servlet`.
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IHTTPConnector` | `handleConnect(java.lang.String userID)`
    `void` | `handleDisonnect(java.lang.String connectorID)`
    `IHTTPConnector[]` | `handleList(java.lang.String connectorID)`
    `void` | `handleOperations(java.lang.String connectorID, ExtendedDataInputStream in, ExtendedDataOutputStream out)`

- - ### Method Detail

    - #### handleList

          IHTTPConnector[] handleList(java.lang.String connectorID)

    - #### handleConnect

          IHTTPConnector handleConnect(java.lang.String userID)

    - #### handleDisonnect

          void handleDisonnect(java.lang.String connectorID)

    - #### handleOperations

          void handleOperations(java.lang.String connectorID,
                                ExtendedDataInputStream in,
                                ExtendedDataOutputStream out)
                         throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html